#!/bin/sh


PLATFORM=djg
tg=bld$PLATFORM.inc


for d in * ; do
  if [ -d $d -a -f $d/$d.all ]; then
    echo $d
    cd $d
      grep -w $PLATFORM $d.all | \
       sed 's;^\([[:alnum:]_]*\)[ ]*\([[:alnum:]_]*\).*;SOURCES+=\1.\2;' > $tg; [ -s $tg ] || rm -f $tg
    cd ..
  fi
done

find . -name $tg -exec cat '{}' >> obj/djg/source.lst ';'